Package org.postgresql.replication.fluent.physical

# Interface ChainedPhysicalStreamBuilder

All Superinterfaces:
  `ChainedCommonStreamBuilder<ChainedPhysicalStreamBuilder>`

All Known Implementing Classes:
  `PhysicalStreamBuilder`

public interface ChainedPhysicalStreamBuilder extends ChainedCommonStreamBuilder<ChainedPhysicalStreamBuilder>

## Method Summary

Modifier and Type
Method
Description
`PGReplicationStream`
`start()`
Open physical replication stream.

### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonStreamBuilder

`withSlotName, withStartPosition, withStatusInterval`

## Method Details

### start

PGReplicationStream start() throws SQLException
Open physical replication stream.

Returns:
  not null PGReplicationStream available for fetch wal logs in binary form
Throws:
  `SQLException` - on error